Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Interface Verbose

All Known Subinterfaces:
  UniverseRegistry

All Known Implementing Classes:
  ActorService, CLIBackbone, CLIService, ConsoleService, HttpCLIService, HttpToolService, HttpToolServiceThread, KernalBasic_THINGProcessWrapper, KernelBasic, KernelBasic_Loader, KernelBasic_LoaderIDE, KernelBasicBase, LocalCommander, LocalCommandService, ProxyService, ResourceManager, Service, ThingService, ThingsProcess, UniverseRegistry_Simple

    public interface Verbose

Verbose interface. It's a way to tell the subcomponent to be verbose about what it is doing. This is useful for second-layer debugging and should not be used by everything. All modules and applications should use the event system instead. However, this is a useful way to get information from the underlying system.

Version:
  1.0

  Version History

      EPG - Initial - 1 JAN 02

Author:
  Erich P. Gatejen

Method Summary
`boolean` | `isVerbose()` Is it set to verbose?
`void` | `screech(java.lang.String message)` Post a verbose message if verbose mode is on.
`void` | `verboseOff()` Turn off the verbose mode.
`void` | `verboseOn(StringPoster poster)` Turn on.

Method Detail

### verboseOn

    void verboseOn(StringPoster poster)
                   throws ThingsException

  Turn on. It will test the poster and will throw a ThingsException if it has a problem.

  Parameters:
    `poster` - StringPoster where to put the debug info
  Throws:
    `ThingsException`

### verboseOff

    void verboseOff()

  Turn off the verbose mode.

### screech

    void screech(java.lang.String message)

  Post a verbose message if verbose mode is on. It will never throw an exception. The implementation may find a way to report exceptions.

  Parameters:
    `message` - The message.

### isVerbose

    boolean isVerbose()

  Is it set to verbose?

  Returns:
    true if it is verbose, otherwise false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.